GET Chat History
https://127.0.0.1:{port}/chat/v6/messages?cid={cid} Get chat history for all conversations or a specific conversation if the cid is provided
Headers
-
Authorization: Basic {base64 encoded "riot:{lockfile password}"}
URL Parameters
-
{port}The port can be found from the lockfile (located at
%LocalAppData%\Riot Games\Riot Client\Config\lockfile) when the game is running. The file has the formatname:pid:port:password:protocol
Query Parameters
-
cidoptionalA chat conversation ID. The IDs of all active conversations can be found from the All Chat Info endpoint.
Other Variables
-
lockfile passwordThe password can be found from the lockfile (located at
%LocalAppData%\Riot Games\Riot Client\Config\lockfile) when the game is running. The file has the formatname:pid:port:password:protocol
Response
type ChatHistoryResponse = {
messages: {
body: string;
cid: string;
game_name: string;
game_tag: string;
id: string;
mid: string;
name: string;
pid: string;
/** Player UUID */
puuid: string;
read: boolean;
region: string;
/** Time in milliseconds since epoch */
time: string;
type: "chat" | "groupchat";
}[];
}; {
"messages": [
{
"body": "uredo",
"cid": "eius",
"game_name": "decumbo",
"game_tag": "tremo",
"id": "cariosus",
"mid": "adamo",
"name": "Tami Huel",
"pid": "ustilo",
"puuid": "cfd15dbD-bD84-fdB1-dbEF-AEc8325B2940",
"read": true,
"region": "apostolus",
"time": null,
"type": "chat"
}
]
}